import { FernIr } from '@fern-api/dynamic-ir-sdk';
import { D as DynamicSnippetsGeneratorContext } from './DynamicSnippetsGeneratorContext-DFkk3dho.js';
import '@fern-api/browser-compatible-base-generator';
import '@fern-api/typescript-ast';

declare class EndpointSnippetGenerator {
    private context;
    constructor({ context }: {
        context: DynamicSnippetsGeneratorContext;
    });
    generateSnippet({ endpoint, request }: {
        endpoint: FernIr.dynamic.Endpoint;
        request: FernIr.dynamic.EndpointSnippetRequest;
    }): Promise<string>;
    generateSnippetSync({ endpoint, request }: {
        endpoint: FernIr.dynamic.Endpoint;
        request: FernIr.dynamic.EndpointSnippetRequest;
    }): string;
    private buildCodeBlock;
    private constructClient;
    private getConstructorArgs;
    private getConstructorEnvironmentArgs;
    private getEnvironmentValue;
    private getConstructorAuthArgs;
    private getConstructorBasicAuthArg;
    private getConstructorBearerAuthArgs;
    private getConstructorHeaderAuthArgs;
    private getConstructorHeaderArgs;
    private getConstructorHeaderArg;
    private callMethod;
    private getMethodArgs;
    private getMethodArgsForBodyRequest;
    private getBodyRequestArg;
    private getBytesBodyRequestArg;
    private getMethodArgsForInlinedRequest;
    private getFilePropertyInfo;
    private getInlinedRequestArg;
    private getInlinedRequestBodyObjectFields;
    private getFileUploadRequestBodyObjectFields;
    private getReferencedRequestBodyPropertyObjectField;
    private getReferencedRequestBodyPropertyTypeLiteral;
    private getInlinedRequestBodyPropertyObjectFields;
    private getPathParameters;
    private getMethod;
}

export { EndpointSnippetGenerator };
